Skip to Content
veriom

Get architecture canvas

GET
/v1/workspaces/{workspace_id}/architecture/canvas

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid

Query Parameters

repository_id?|

The repository the canvas belongs to; omit for the workspace canvas.

Response Body

Successful Response

application/json
  1. response

The stored canvas; version 0 and no document until someone saves one.

document*|null
repository_id*|null
scope_key*Scope Key
updated_at*|null
updated_by*|null
version*Version
Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/architecture/canvas'
Example Response
{  "document": {},  "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3",  "scope_key": "string",  "updated_at": "2019-08-24T14:15:22Z",  "updated_by": "deea00dc-b6b6-4412-a483-26ac61e1f6fe",  "version": 0}